summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xqa/workunits/rbd/map-snapshot-io.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/qa/workunits/rbd/map-snapshot-io.sh b/qa/workunits/rbd/map-snapshot-io.sh
index 1fb26523e92..b53a81387d4 100755
--- a/qa/workunits/rbd/map-snapshot-io.sh
+++ b/qa/workunits/rbd/map-snapshot-io.sh
@@ -15,7 +15,14 @@ rbd snap create image@s1
dd if=/dev/zero of=/dev/rbd/rbd/image oflag=direct count=10 # used to fail
rbd snap rm image@s1
dd if=/dev/zero of=/dev/rbd/rbd/image oflag=direct count=10
+
+udevadm settle # udev is does blkid on device close; yeesh! see #4183
+
rbd unmap /dev/rbd/rbd/image
+# wait a few seconds for the async kernel bits to clean themselves up
+sleep 4
+rbd rm image || :
+
echo OK